Bug 83252

Summary: openoffice.org-1.1 1.1.4 build failure: Died at ../../config/make-jars.pl line 294, <STDIN> line 2.
Product: Ports & Packages Reporter: jan grant <jan.grant>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description jan grant 2005-07-11 11:30:23 UTC
Build (via portupgrade or directly) of openoffice fails. Google only finds this error reported once on a mailing list, no solutions found:

The first error occurs here:
+++ making chrome /usr/ports/editors/openoffice-1.1/work/moz.runtime/unxfbsd.pro/misc/build/mozilla/xpcom/base   => ../../dist/bin/chrome/en-US.jar
Died at ../../config/make-jars.pl line 294, <STDIN> line 2.
gmake[4]: *** [libs] Error 255

How-To-Repeat: "portupgrade openoffice"
Comment 1 Renato Botelho freebsd_committer 2005-07-12 16:05:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 jan grant 2005-09-23 14:11:21 UTC
I believe I have found the issue.

The line in question that was failing was this:

        my $atime = stat($file)->atime || die $!;

The filesystem containing the ports work directory was mounted noatime.

The first file that was failing was charsetTitles.properties:

[[[
> find . -name charsetTitles.properties | xargs ls -lu
-rw-r--r--  1 8482  wheel  4885 Aug  1 23:04 ./OOo_1.1.5/moz.runtime/unxfbsd.pro/misc/build/mozilla/intl/uconv/src/charsetTitles.properties
-rw-r--r--  1 8482  wheel  4385 Jan  1  1970 ./OOo_1.1.5/moz.runtime/unxfbsd.pro/misc/build/mozilla/l10n/langpacks/en-DE/chrome/en-DE/global/locale/charsetTitles.properties
-rw-r--r--  1 8482  wheel  4385 Jan  1  1970 ./OOo_1.1.5/moz.runtime/unxfbsd.pro/misc/build/mozilla/l10n/langpacks/en-GB/chrome/en-GB/global/locale/charsetTitles.properties
]]]

As you can see, two of those files have no atime set - the timestamp 
therefore has a numeric value of 0. Consequently the stat call _appears_ 
to fail mysteriously.

There are obviously several "workarounds" - don't use noatime; get rid 
of the "|| die $!", etc.

Hope this helps.



-- 
jan grant, ILRT, University of Bristol. http://www.ilrt.bris.ac.uk/
Tel +44 (0)117 3317661   http://ioctl.org/jan/
We thought time travel was impossible. But that was now and this is then.
Comment 3 Erwin Lansing freebsd_committer 2006-11-25 12:17:04 UTC
State Changed
From-To: open->feedback

Is this still a problem after the recent upgrades?
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2006-12-24 12:02:52 UTC
State Changed
From-To: feedback->closed

Feedback timeout.